package ch.bbw.pr.tresorbackend.model;

import jakarta.validation.constraints.Email;
import jakarta.validation.constraints.NotEmpty;
import lombok.*;

@Value
public class Generate2FACode {

    @NotEmpty(message = "Email cannot be empty")
    @Email(message = "Invalid email format")
    String email;

    @NotEmpty(message = "Password cannot be empty")
    String password;
}
